/**
 * 自己初始化redis和sequelize，的模块，放到useContextKey当中
 */
import { app } from './app.ts';
import { UserServices, UserInit, UserModel, User } from './models/user.ts';
import { Org, OrgInit, OrgModel } from './models/org.ts';
import { useContextKey } from '@kevisual/use-config/context';
import { Sequelize } from 'sequelize';
import { Redis } from 'ioredis';
export { User, UserServices, UserInit, UserModel };
export { Org, OrgInit, OrgModel };

export const redis = useContextKey<Redis>('redis');
export const sequelize = useContextKey<Sequelize>('sequelize');
export { app };
export const init = () => {
  OrgInit();
  UserInit();
};
